---
include:
  - project: "klovtsov/devops_includes/gitlab_ci/test_molecule"
    ref: "main"
    file:
      - "workflow.yml"
      - "stages.yml"
      - "test_lint.yml"
      - "test_molecule.yml"

Ansible Lint:
  extends:
    - .test-ansible-lint

Yaml Lint:
  extends:
    - .test-yaml-lint

Test Debian 11 with sqlite:
  variables:
    MOLECULE_DISTRO: debian11
  extends:
    - .test-molecule

Test Ubuntu 22 with sqlite:
  variables:
    MOLECULE_DISTRO: ubuntu22
  extends:
    - .test-molecule

Test Debian 11 with postgresql:
  variables:
    MOLECULE_DISTRO: debian11
    MOLECULE_TEST_SCENARIO: test_with_postgresql
  extends:
    - .test-molecule

Test Ubuntu 22 with postgresql:
  variables:
    MOLECULE_DISTRO: ubuntu22
    MOLECULE_TEST_SCENARIO: test_with_postgresql
  extends:
    - .test-molecule
